{===================================================================================================

  Comming Library

             Delphi.

====================================================================================================

  :

  25.07.2007  [*] .
  09.05.2004  [+] TcoDBRichEdit:  RTF   .
  04.02.2003  [+] TcoMoneyString.
  29.11.2002  [*]    CommingDesign  CommingRuntime
  09.09.1998  [!]  Comming Library.

===================================================================================================
  Copyright 19982007 TSK Developer Laboratory, Moscow.                     Konstantin Tsvetkov
                                                                              e-mail: dev@tsklab.ru
                                                                              http://www.tsklab.ru
  CVS: $Id: CommingRegister.pas,v 1.13 2008/09/23 06:16:01 tsk Exp $
===================================================================================================}
unit CommingRegister;

interface

  uses  Classes, StdCtrls, DesignIntf,
        // Comming:
        CommingBinding,
        // Flat:
        CommingFlat, CommingButton, CommingDBComboBox, CommingLookupFlat, CommingEditExtended,
        CommingDBEditExtended,CommingProgressBar, CommingHint, CommingDBImage,
        CommingRadioButton, CommingComboBoxList, CommingCheckBox,
        // Tools:
        CommingMemoryDataSet, CommingError{, CommingExcelExport}, CommingMoneyString,
        CommingParameterTable, CommingShellFoldersBrowse;

  procedure Register;

implementation
//==================================================================================================
{  }
//==================================================================================================
procedure Register;
begin
// :
  RegisterComponents( 'Comming Flat', [ TcoEdit, TcoDBEdit, TcoTreeView, TcoDBMemo, TcoMemo,
                                        TcoLabel, TcoListBox, TcoCheckListBox, TcoDBRichEdit ] );
    RegisterComponentEditor( TcoEdit,         TcoBindingMenu );
    RegisterComponentEditor( TcoDBEdit,       TcoBindingMenu );
    RegisterComponentEditor( TcoTreeView,     TcoBindingMenu );
    RegisterComponentEditor( TcoMemo,         TcoBindingMenu );
    RegisterComponentEditor( TcoDBMemo,       TcoBindingMenu );
    RegisterComponentEditor( TcoLabel,        TcoBindingMenu );
    RegisterComponentEditor( TcoListBox,      TcoBindingMenu );
    RegisterComponentEditor( TcoCheckListBox, TcoBindingMenu );
    RegisterComponentEditor( TcoDBRichEdit, TcoBindingMenu );
//
  RegisterComponents('Comming Flat', [TcoButton]);
  RegisterComponentEditor( TcoButton, TcoBindingMenu );
//
//  RegisterComponents( 'Data Controls', [TcoDBGridEh] );
//  RegisterComponentEditor( TcoDBGridEh, TcoBindingMenu );
//
  RegisterComponents( 'Comming Flat', [ TcoDBComboBox ] );
  RegisterComponentEditor( TcoDBComboBox, TcoBindingMenu );
//
  RegisterComponents( 'Comming Flat', [ TcoDBLookupCombo ] );
  RegisterComponentEditor( TcoDBLookupCombo, TcoBindingMenu );
//
  RegisterComponents( 'Comming Flat', [ TcoDateEdit, TcoComboEdit ] );
  RegisterComponentEditor( TcoDateEdit, TcoBindingMenu );
  RegisterComponentEditor( TcoComboEdit, TcoBindingMenu );
//
  RegisterComponents( 'Comming Flat', [ TcoDBDateEdit ] );
  RegisterComponentEditor( TcoDBDateEdit, TcoBindingMenu );
//
  RegisterComponents( 'Comming Flat', [TcoProgressBar] );
//
  RegisterComponents ('Comming Flat', [ TcoHint ]);
//
  Registercomponents('Comming Flat', [TcoDBImage]);
  RegisterComponentEditor( TcoDBImage, TcoBindingMenu );
//
  RegisterComponents( 'Comming Flat', [ TcoRadioButton ] );
  RegisterComponentEditor( TcoRadioButton, TcoBindingMenu );
//
  RegisterComponents( 'Comming Flat', [TcoComboBoxList] );
  RegisterComponentEditor( TcoComboBoxList, TcoBindingMenu );
//
  RegisterComponents( 'Comming Flat', [ TcoCheckBox ] );
  RegisterComponentEditor( TcoCheckBox, TcoBindingMenu );
//
  RegisterComponents( 'Comming Tools', [ TcoError, TcoMemoryData, TcoMoneyString{, TscExcelExport},
                                         TcoPTable, TcoShellFolderBrowse ]);
//   ():
  RegisterComponentEditor( TStaticText, TcoBindingMenu );

end;
//==================================================================================================
end.
