{===================================================================================================

  Comming Library.

     Hint.

====================================================================================================

  :

  25.07.2007  [*] .
  07.12.2002  [*]    .
  29.11.2002  [+]  .
  09.09.1998  [!]  Comming Library.

====================================================================================================
  Copyright 19982007 TSK Developer Laboratory, Moscow.                     Konstantin Tsvetkov
                                                                              e-mail: dev@tsklab.ru
                                                                              http://www.tsklab.ru
  CVS: $Id: CommingHintMultiline.pas,v 1.3 2007/07/26 04:02:29 tsk Exp $
===================================================================================================}
unit CommingHintMultiline;

interface

uses  Classes, Windows, Graphics, Messages, Controls, Forms, SysUtils(*, FlatUtilitys*),
      StrEdit, DesignIntf, Dialogs;

type

  THintProperty = class( TStringListProperty )
  protected
    Body: TStringList;
    function GetStrings: TStrings; override;
    procedure SetStrings( const Value: TStrings ); override;
  end;


procedure Register;

implementation
//==================================================================================================
{ THintProperty }
//==================================================================================================
function THintProperty.GetStrings: TStrings;
begin
  Body := TStringList.Create;
  Body.Text := GetStrValue;
  Result := TStrings( Body );
end;
//==================================================================================================
procedure THintProperty.SetStrings( const Value: TStrings );
begin
  SetStrValue( Copy( Value.Text, 1, Length( Value.Text ) - 2 ));
  Body.Destroy;
end;
//==================================================================================================
procedure Register;
begin
  RegisterPropertyEditor( TypeInfo(String), TComponent, 'Hint', THintProperty );
end;
//==================================================================================================
end.
